# Microsoft Visual C++ generated build script - Do not modify

PROJ = FINGER
DEBUG = 1
PROGTYPE = 0
CALLER = 
ARGS = 
DLLS = 
D_RCDEFINES = /d_DEBUG 
R_RCDEFINES = /dNDEBUG 
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = C:\SOURCE\FINGER\MSVC16\
USEMFC = 0
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG = 
CPPCREATEPCHFLAG = 
CUSEPCHFLAG = 
CPPUSEPCHFLAG = 
FIRSTC =             
FIRSTCPP = FINGER.CPP  
RC = rc
CFLAGS_D_WEXE = /nologo /G2 /W3 /Zi /AM /Od /D "_DEBUG" /I ".." /I "..\..\common" /FR /GA /Fd"FINGER.PDB"
CFLAGS_R_WEXE = /nologo /W3 /AM /O1 /D "NDEBUG" /I ".." /I "..\..\common" /FR /GA 
LFLAGS_D_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /CO /ALIGN:16 /STACK:10240
LFLAGS_R_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /ALIGN:16 /STACK:10240
LIBS_D_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
LIBS_R_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
RCFLAGS = /nologo /i .. /i ..\..\common 
RESFLAGS = /nologo 
RUNFLAGS = 
DEFFILE = ..\FINGER.DEF
OBJS_EXT = 
LIBS_EXT = ..\..\MSVCLIBS\WINSOCK.LIB ..\..\MSVCLIBS\CTL3DV2.LIB 
!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WEXE)
LFLAGS = $(LFLAGS_D_WEXE)
LIBS = $(LIBS_D_WEXE)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WEXE)
LFLAGS = $(LFLAGS_R_WEXE)
LIBS = $(LIBS_R_WEXE)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif
!if [if exist MSVC.BND del MSVC.BND]
!endif
SBRS = FINGER.SBR \
		CASYNCDB.SBR \
		CFINGOBJ.SBR \
		CHOST.SBR \
		CSOCKADR.SBR \
		CSOCKET.SBR \
		CWINSOCK.SBR


FINGER_DEP = c:\source\finger\finger.rh


FINGER_RCDEP = c:\source\finger\finger.rh \
	c:\source\finger\finger.ico


WINSOCK_DEP = 

CTL3DV2_DEP = 

CASYNCDB_DEP = c:\source\common\casyncdb.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\myassert.h


CFINGOBJ_DEP = c:\source\common\cfingobj.h \
	c:\source\common\winsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\chost.h \
	c:\source\common\cwinsock.h \
	c:\source\common\casyncdb.h \
	c:\source\common\csocket.h \
	c:\source\common\myassert.h


CHOST_DEP = c:\source\common\chost.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\casyncdb.h \
	c:\source\common\myassert.h


CSOCKADR_DEP = c:\source\common\csockadr.h \
	c:\source\common\winsock.h


CSOCKET_DEP = c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\myassert.h


CWINSOCK_DEP = c:\source\common\cwinsock.h \
	c:\source\common\winsock.h \
	c:\source\common\myassert.h


all:	$(PROJ).EXE $(PROJ).BSC

FINGER.OBJ:	..\FINGER.CPP $(FINGER_DEP)
	$(CPP) $(CFLAGS) $(CPPCREATEPCHFLAG) /c ..\FINGER.CPP

FINGER.RES:	..\FINGER.RC $(FINGER_RCDEP)
	$(RC) $(RCFLAGS) $(RCDEFINES) -r -FoC:\SOURCE\FINGER\MSVC16\FINGER.RES ..\FINGER.RC

CASYNCDB.OBJ:	..\..\COMMON\CASYNCDB.CPP $(CASYNCDB_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CASYNCDB.CPP

CFINGOBJ.OBJ:	..\..\COMMON\CFINGOBJ.CPP $(CFINGOBJ_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CFINGOBJ.CPP

CHOST.OBJ:	..\..\COMMON\CHOST.CPP $(CHOST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CHOST.CPP

CSOCKADR.OBJ:	..\..\COMMON\CSOCKADR.CPP $(CSOCKADR_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKADR.CPP

CSOCKET.OBJ:	..\..\COMMON\CSOCKET.CPP $(CSOCKET_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKET.CPP

CWINSOCK.OBJ:	..\..\COMMON\CWINSOCK.CPP $(CWINSOCK_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CWINSOCK.CPP


$(PROJ).EXE::	FINGER.RES

$(PROJ).EXE::	FINGER.OBJ CASYNCDB.OBJ CFINGOBJ.OBJ CHOST.OBJ CSOCKADR.OBJ CSOCKET.OBJ \
	CWINSOCK.OBJ $(OBJS_EXT) $(DEFFILE)
	echo >NUL @<<$(PROJ).CRF
FINGER.OBJ +
CASYNCDB.OBJ +
CFINGOBJ.OBJ +
CHOST.OBJ +
CSOCKADR.OBJ +
CSOCKET.OBJ +
CWINSOCK.OBJ +
$(OBJS_EXT)
$(PROJ).EXE
$(MAPFILE)
d:\msvc\lib\+
d:\msvc\mfc\lib\+
..\..\MSVCLIBS\WINSOCK.LIB+
..\..\MSVCLIBS\CTL3DV2.LIB+
$(LIBS)
$(DEFFILE);
<<
	link $(LFLAGS) @$(PROJ).CRF
	$(RC) $(RESFLAGS) FINGER.RES $@
	@copy $(PROJ).CRF MSVC.BND

$(PROJ).EXE::	FINGER.RES
	if not exist MSVC.BND 	$(RC) $(RESFLAGS) FINGER.RES $@

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)


$(PROJ).BSC: $(SBRS)
	bscmake @<<
/o$@ $(SBRS)
<<
